<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
    'label' => null,
    'name' => null,
    'type' => 'text',
    'value' => null,
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
    'label' => null,
    'name' => null,
    'type' => 'text',
    'value' => null,
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<div class="form-group">
    <?php if($label): ?>
        <label class="form-label" <?php if($name): ?> for="<?php echo e($name); ?>" <?php endif; ?>><?php echo e($label); ?></label>
    <?php endif; ?>
    <input
        type="<?php echo e($type); ?>"
        <?php if($name): ?> name="<?php echo e($name); ?>" id="<?php echo e($name); ?>" <?php endif; ?>
        <?php if($value !== null): ?> value="<?php echo e($value); ?>" <?php endif; ?>
        <?php echo e($attributes->merge(['class' => 'input'])); ?>

    />
</div>
<?php /**PATH C:\laragon\www\southend\resources\views\components\glass-input.blade.php ENDPATH**/ ?>